Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageselector
Class UnaryExpression.IsNullExpression

    java.lang.Object
      net.sf.dropboxmq.messageselector.Expression
          net.sf.dropboxmq.messageselector.UnaryExpression
              net.sf.dropboxmq.messageselector.UnaryExpression.IsNullExpression

Enclosing class:
  UnaryExpression

    public static class UnaryExpression.IsNullExpression

extends UnaryExpression

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.dropboxmq.messageselector.UnaryExpression
`UnaryExpression.IsNullExpression, UnaryExpression.NegativeExpression, UnaryExpression.NotExpression`

Constructor Summary
`UnaryExpression.IsNullExpression(Expression expression, boolean negate)`

Method Summary
`Object` | `getValue(Message message)`
`Class` | `getValueClass()`
`boolean` | `isNegate()`

Methods inherited from class net.sf.dropboxmq.messageselector.UnaryExpression
`getExpression, toString`

Methods inherited from class net.sf.dropboxmq.messageselector.Expression
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryExpression.IsNullExpression

    public UnaryExpression.IsNullExpression(Expression expression,
                                            boolean negate)

Method Detail

### getValue

    public Object getValue(Message message)

  Specified by:
    `getValue` in class `Expression`

### getValueClass

    public Class getValueClass()

  Specified by:
    `getValueClass` in class `Expression`

### isNegate

    public boolean isNegate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD